import 'package:flutter/material.dart';

import '../../code_faster.dart';

/// create a SizedBox with widthPercent & heightPercent of screen
class BoxOfScreen extends StatelessWidget {
  const BoxOfScreen(
      {@required this.widthPercent,
      @required this.heightPercent,
      @required this.child})
      : assert(widthPercent != null && heightPercent != null && child != null);

  final double widthPercent;
  final double heightPercent;
  final Widget child;

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: context.getW(widthPercent),
      height: context.getH(heightPercent),
      child: child,
    );
  }
}
